(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

   $(function() {

    $('input.color-picker').each( function() {
      $(this).wpColorPicker();
    });

    $('#pedigreeonline-clear-cache').on('click', function() {

      $.get(
        $(this).data('ajax-url'),
        {
          'action': 'pedigreeonline_clear_cache',
        },
        function(response) {

            var cls = response.success ? 'success' : 'error';

            var $notice = $('<div class="pedigreeonline"><div class="notice notice-'+ cls +'"><strong>'+ response.data.message +'</strong></div></div>').css('display','none').fadeIn('fast');
            setTimeout(function() {
              $notice.fadeOut('slow', function() { $(this).remove(); });
            },5000);

            $('.pedigreeonline-notices').append($notice);

      });

    });

  });

})( jQuery );
