<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the pedigree.
 *
 * @link       https://www.pedigreeonline.com
 * @since      1.0.0
 *
 * @package    Pedigree_Online
 * @subpackage Pedigree_Online/public/partials
 *
 * @input $this -- Assuming it's called within the Pedigree_Online_Public class
 * @input $data - The response object as given to us by the API
 *
 */

 $uniqid = uniqid();

?>

<div class="wrap pedigreeonline">

    <div class="pedigree-info-line">
      <?php if ( !empty($data->pedigree->name) ) { ?>
      <a href="<?php echo $data->pedigree->url ?>" target="_blank" rel="nofollow">
        <?php echo $data->pedigree->name; ?>
      </a>
      <?php } elseif ( ! empty($data->message) ) { ?>
      <a href="<?php echo $data->information->report_link ?>" target="_blank" rel="nofollow">
        <?php echo $data->message; ?>
      </a>
      <?php } else { ?>
        <?php echo $data->information->info_line; ?>
      <?php } ?>
      <span class="visible-small"><br /></span> &nbsp;
      <?php echo (stristr($data->information->info_line,'hypomating') ? '' : $data->pedigree->sex) ?> <?php echo $data->pedigree->breed ?>
    </div>

    <div class="table-responsive">
      <table class="table pedigreeonline-pedigree" id="pedigreeonline-<?php echo $uniqid ?>" onclick="location.href='<?php echo $data->pedigree->url ?>';">
        <tbody>
          <tr>
          <?php echo $this->render_pedigree_cells($data->pedigree->father,1); ?>
          <tr>
          <?php echo $this->render_pedigree_cells($data->pedigree->mother,1); ?>
        </tbody>
      </table>
    </div>

    <div class="pedigree-footer">
      <a href="<?php echo $data->information->homepage_link ?>" title="<?php echo ucwords($data->pedigree->breed ?: $data->information->animal) ?> Pedigrees" target="pedigreeonline">
      <?php echo $data->pedigree->breed ?: $data->information->animal ?> Pedigrees
      </a> provided by
      PedigreeOnline.com
    </div>

</div>



